Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Chromium version 60.0... compile failure[SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
snkmoorthy
Guru
Guru


Joined: 19 Nov 2002
Posts: 376

PostPosted: Wed Jun 14, 2017 1:32 pm    Post subject: Chromium version 60.0... compile failure[SOLVED] Reply with quote

During a world update(after 3 months or so) - pulled in GCC 5.4.9, other updates all succeded; only chromium ~amd64 failed
this is the ebuild - https://gitweb.gentoo.org/repo/gentoo.git/tree/www-client/chromium/chromium-60.0.3112.24.ebuild

Code:
../../third_party/vulkan-validation-layers/src/loader/debug_report.c: In function ‘debug_report_create_instance’:
../../third_party/vulkan-validation-layers/src/loader/debug_report.c:50:5: error: ‘for’ loop initial declarations are only allowed in C99 or C11 mode
    for (uint32_t i = 0; i < pCreateInfo->enabledExtensionCount; i++) {
    ^
../../third_party/vulkan-validation-layers/src/loader/debug_report.c:50:5: note: use option -std=c99, -std=gnu99, -std=c11 or -std=gnu11 to compile your code
../../third_party/vulkan-validation-layers/src/loader/debug_report.c: In function ‘util_CreateDebugReportCallbacks’:
../../third_party/vulkan-validation-layers/src/loader/debug_report.c:235:5: error: ‘for’ loop initial declarations are only allowed in C99 or C11 mode
    for (uint32_t i = 0; i < num_callbacks; i++) {
    ^
../../third_party/vulkan-validation-layers/src/loader/debug_report.c:238:13: error: ‘for’ loop initial declarations are only allowed in C99 or C11 mode
            for (uint32_t j = 0; j < i; j++) {
            ^
../../third_party/vulkan-validation-layers/src/loader/debug_report.c: In function ‘util_DestroyDebugReportCallbacks’:
../../third_party/vulkan-validation-layers/src/loader/debug_report.c:249:5: error: ‘for’ loop initial declarations are only allowed in C99 or C11 mode
    for (uint32_t i = 0; i < num_callbacks; i++) {
    ^
../../third_party/vulkan-validation-layers/src/loader/debug_report.c: At top level:
cc1: warning: unrecognized command line option "-Wno-ignored-attributes"


[Moderator edit: changed [quote] tags to [code] tags to preserve output layout. -Hu]


Last edited by snkmoorthy on Wed Jun 14, 2017 5:37 pm; edited 1 time in total
Back to top
View user's profile Send private message
Jaglover
Watchman
Watchman


Joined: 29 May 2005
Posts: 7078
Location: Saint Amant, Acadiana

PostPosted: Wed Jun 14, 2017 1:38 pm    Post subject: Reply with quote

Did you upgrade to gcc-5.4 properly? As described in news?
_________________
Please learn how to denote units correctly!
Back to top
View user's profile Send private message
snkmoorthy
Guru
Guru


Joined: 19 Nov 2002
Posts: 376

PostPosted: Wed Jun 14, 2017 1:41 pm    Post subject: Reply with quote

I was dreading that, will check and reply, currently away at work.
Back to top
View user's profile Send private message
snkmoorthy
Guru
Guru


Joined: 19 Nov 2002
Posts: 376

PostPosted: Wed Jun 14, 2017 5:38 pm    Post subject: Reply with quote

this is resolved. compiles after gcc-config switch to 5.4.0
Back to top
View user's profile Send private message
Cthulhu666
Apprentice
Apprentice


Joined: 02 Apr 2004
Posts: 195

PostPosted: Sun Aug 06, 2017 3:07 pm    Post subject: Reply with quote

Jaglover wrote:
Did you upgrade to gcc-5.4 properly? As described in news?

Hmmm... I seem to have missed this bit of news entirely. Furthermore searching for it givves me nothing. Can you perhaps provide a link to this news? Thanks in advance.
_________________
A certified Gentoo lover!
Got 4 Gentoo boxes (2 desktops, 1 laptop and a server/MythTV HTPC).

Bought a computer bundled with windows? Don't want to use windows? Demand a refund!
Back to top
View user's profile Send private message
saboya
Guru
Guru


Joined: 28 Nov 2006
Posts: 442
Location: Brazil

PostPosted: Sun Aug 06, 2017 4:47 pm    Post subject: Reply with quote

Cthulhu666 wrote:
Jaglover wrote:
Did you upgrade to gcc-5.4 properly? As described in news?

Hmmm... I seem to have missed this bit of news entirely. Furthermore searching for it givves me nothing. Can you perhaps provide a link to this news? Thanks in advance.

https://www.gentoo.org/support/news-items/2015-10-22-gcc-5-new-c++11-abi.html
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21677
Location: here

PostPosted: Sun Aug 06, 2017 4:52 pm    Post subject: Reply with quote

You can also retrive news with command
Code:
$ eselect news list

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
cwc
Veteran
Veteran


Joined: 20 Mar 2006
Posts: 1102
Location: Tri-Cities, WA USA

PostPosted: Sun Aug 06, 2017 7:56 pm    Post subject: Reply with quote

I am having problems with Chromium also
I just update my kernel and have gcc
# gcc-config -l
[1] x86_64-pc-linux-gnu-4.9.3
[2] x86_64-pc-linux-gnu-4.9.4
[3] x86_64-pc-linux-gnu-5.4.0 *

Here is the link to my post:
https://forums.gentoo.org/viewtopic-t-1067272-highlight-.html
_________________
Without diversity there can be no evolution:)
Back to top
View user's profile Send private message
Cthulhu666
Apprentice
Apprentice


Joined: 02 Apr 2004
Posts: 195

PostPosted: Mon Aug 07, 2017 6:47 pm    Post subject: Reply with quote

saboya wrote:
Cthulhu666 wrote:
Jaglover wrote:
Did you upgrade to gcc-5.4 properly? As described in news?

Hmmm... I seem to have missed this bit of news entirely. Furthermore searching for it givves me nothing. Can you perhaps provide a link to this news? Thanks in advance.

https://www.gentoo.org/support/news-items/2015-10-22-gcc-5-new-c++11-abi.html

Oh! That one. I thought there might have been a newer one about Gentoo recommending 5.4.0 or some such. Thanks for the pointer, though. :-)
_________________
A certified Gentoo lover!
Got 4 Gentoo boxes (2 desktops, 1 laptop and a server/MythTV HTPC).

Bought a computer bundled with windows? Don't want to use windows? Demand a refund!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum